Rename or move a file
import requests
url = "https://api.13-215-85-171.sslip.io/v1/machines/{id}/files/rename"
payload = {
"old_path": "<string>",
"new_path": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api.13-215-85-171.sslip.io/v1/machines/{id}/files/rename \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"old_path": "<string>",
"new_path": "<string>"
}
'{
"name": "<string>",
"path": "<string>",
"is_dir": true,
"size": 123,
"type": "file",
"mode": "0644",
"permissions": "0644",
"owner": "<string>",
"group": "<string>",
"modified_time": "2023-11-07T05:31:56Z",
"symlink_target": "<string>"
}Files
Rename or move a file
POST
/
v1
/
machines
/
{id}
/
files
/
rename
Rename or move a file
import requests
url = "https://api.13-215-85-171.sslip.io/v1/machines/{id}/files/rename"
payload = {
"old_path": "<string>",
"new_path": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api.13-215-85-171.sslip.io/v1/machines/{id}/files/rename \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"old_path": "<string>",
"new_path": "<string>"
}
'{
"name": "<string>",
"path": "<string>",
"is_dir": true,
"size": 123,
"type": "file",
"mode": "0644",
"permissions": "0644",
"owner": "<string>",
"group": "<string>",
"modified_time": "2023-11-07T05:31:56Z",
"symlink_target": "<string>"
}Authorizations
API key passed as Bearer token
Path Parameters
Machine ID (e.g. mch_a1b2c3d4)
Body
application/json
Source machine path. Relative paths resolve using the same filesystem contract as PathRequest.path.
Destination machine path. Relative paths resolve using the same filesystem contract as PathRequest.path.
Optional machine user for relative-path resolution and ownership.
Response
200 - application/json
Renamed file metadata
Absolute resolved filesystem path. For machine routes this is an absolute machine path; for volume routes this is an absolute volume-internal path rooted at /.
Entry type (e.g. "file", "directory", "symlink")
Example:
"file"
Example:
"0644"
Example:
"0644"